The system is: Windows - 10.0.17134 - AMD64
Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
Compiler: C:/MinGW/bin/gcc.exe 
Build flags: 
Id flags:  

The output was:
0


Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.exe"

The C compiler identification is GNU, found in "C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/3.13.4/CompilerIdC/a.exe"

Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
Compiler: C:/MinGW/bin/g++.exe 
Build flags: 
Id flags:  

The output was:
0


Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "a.exe"

The CXX compiler identification is GNU, found in "C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/3.13.4/CompilerIdCXX/a.exe"

Determining if the C compiler works passed with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_09d53/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_09d53.dir\build.make CMakeFiles/cmTC_09d53.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building C object CMakeFiles/cmTC_09d53.dir/testCCompiler.c.obj

C:\MinGW\bin\gcc.exe    -o CMakeFiles\cmTC_09d53.dir\testCCompiler.c.obj   -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\CMakeTmp\testCCompiler.c

Linking C executable cmTC_09d53.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_09d53.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_09d53.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_09d53.dir/objects.a @CMakeFiles\cmTC_09d53.dir\objects1.rsp
C:\MinGW\bin\gcc.exe      -Wl,--whole-archive CMakeFiles\cmTC_09d53.dir/objects.a -Wl,--no-whole-archive  -o cmTC_09d53.exe -Wl,--out-implib,libcmTC_09d53.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_09d53.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



Detecting C compiler ABI info compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_f81e7/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_f81e7.dir\build.make CMakeFiles/cmTC_f81e7.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building C object CMakeFiles/cmTC_f81e7.dir/CMakeCCompilerABI.c.obj

C:\MinGW\bin\gcc.exe    -o CMakeFiles\cmTC_f81e7.dir\CMakeCCompilerABI.c.obj   -c "C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\share\cmake-3.13\Modules\CMakeCCompilerABI.c"

Linking C executable cmTC_f81e7.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_f81e7.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_f81e7.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_f81e7.dir/objects.a @CMakeFiles\cmTC_f81e7.dir\objects1.rsp
C:\MinGW\bin\gcc.exe     -v -Wl,--whole-archive CMakeFiles\cmTC_f81e7.dir/objects.a -Wl,--no-whole-archive  -o cmTC_f81e7.exe -Wl,--out-implib,libcmTC_f81e7.dll.a -Wl,--major-image-version,0,--minor-image-version,0 
Built by Equation Solution <http://www.Equation.com>.

Using built-in specs.

COLLECT_GCC=C:\MinGW\bin\gcc.exe

COLLECT_LTO_WRAPPER=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe

Target: i686-pc-mingw32

Configured with: ../gcc-8.3.0-mingw/configure --host=i686-pc-mingw32 --build=x86_64-unknown-linux-gnu --target=i686-pc-mingw32 --prefix=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/gcc/8.3.0 --with-gcc --with-gnu-as --with-gnu-ld --with-cloog=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/cloog --with-gmp=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/gmp --with-mpfr=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/mpfr --with-mpc=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/mpc --with-diagnostics-color=auto --enable-cloog-backend=isl --with-sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310 --disable-shared --disable-nls --disable-tls --disable-libgcc2 --disable-win32-registry --enable-build-with-cxx --enable-libquadmath-support --enable-libquadmath --enable-languages=c,c++,fortran --disable-checking --enable-libgomp --enable-threads=win32 --enable-lto --enable-static --enable-shared=lto-plugin --enable-plugins --enable-ld=yes

Thread model: win32

gcc version 8.3.0 (GCC) 

COMPILER_PATH=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/;c:/mingw/bin/../libexec/gcc/;c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/bin/

LIBRARY_PATH=c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/;c:/mingw/bin/../lib/gcc/;c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/;c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../

COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_f81e7.exe' '-mtune=generic' '-march=pentiumpro'

 c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/collect2.exe -plugin c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/liblto_plugin-0.dll -plugin-opt=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe -plugin-opt=-fresolution=C:\Users\Karol\AppData\Local\Temp\ccyLInfz.res -plugin-opt=-pass-through=-lmingw32 -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lmoldname -plugin-opt=-pass-through=-lmingwex -plugin-opt=-pass-through=-lmsvcrt -plugin-opt=-pass-through=-ladvapi32 -plugin-opt=-pass-through=-lshell32 -plugin-opt=-pass-through=-luser32 -plugin-opt=-pass-through=-lkernel32 -plugin-opt=-pass-through=-lmingw32 -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lmoldname -plugin-opt=-pass-through=-lmingwex -plugin-opt=-pass-through=-lmsvcrt --sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310 -Bdynamic -o cmTC_f81e7.exe c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/crt2.o c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtbegin.o -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0 -Lc:/mingw/bin/../lib/gcc -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../.. --whole-archive CMakeFiles\cmTC_f81e7.dir/objects.a --no-whole-archive --out-implib libcmTC_f81e7.dll.a --major-image-version 0 --minor-image-version 0 -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt -ladvapi32 -lshell32 -luser32 -lkernel32 -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtend.o

COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_f81e7.exe' '-mtune=generic' '-march=pentiumpro'

mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



Parsed C implicit link information from above output:
  link line regex: [^( *|.*[/\])(ld\.exe|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_f81e7/fast"]
  ignore line: [C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_f81e7.dir\build.make CMakeFiles/cmTC_f81e7.dir/build]
  ignore line: [mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp']
  ignore line: [Building C object CMakeFiles/cmTC_f81e7.dir/CMakeCCompilerABI.c.obj]
  ignore line: [C:\MinGW\bin\gcc.exe    -o CMakeFiles\cmTC_f81e7.dir\CMakeCCompilerABI.c.obj   -c "C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\share\cmake-3.13\Modules\CMakeCCompilerABI.c"]
  ignore line: [Linking C executable cmTC_f81e7.exe]
  ignore line: ["C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_f81e7.dir\link.txt --verbose=1]
  ignore line: ["C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_f81e7.dir/objects.a]
  ignore line: [C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_f81e7.dir/objects.a @CMakeFiles\cmTC_f81e7.dir\objects1.rsp]
  ignore line: [C:\MinGW\bin\gcc.exe     -v -Wl,--whole-archive CMakeFiles\cmTC_f81e7.dir/objects.a -Wl,--no-whole-archive  -o cmTC_f81e7.exe -Wl,--out-implib,libcmTC_f81e7.dll.a -Wl,--major-image-version,0,--minor-image-version,0 ]
  ignore line: [Built by Equation Solution <http://www.Equation.com>.]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=C:\MinGW\bin\gcc.exe]
  ignore line: [COLLECT_LTO_WRAPPER=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe]
  ignore line: [Target: i686-pc-mingw32]
  ignore line: [Configured with: ../gcc-8.3.0-mingw/configure --host=i686-pc-mingw32 --build=x86_64-unknown-linux-gnu --target=i686-pc-mingw32 --prefix=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/gcc/8.3.0 --with-gcc --with-gnu-as --with-gnu-ld --with-cloog=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/cloog --with-gmp=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/gmp --with-mpfr=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/mpfr --with-mpc=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/mpc --with-diagnostics-color=auto --enable-cloog-backend=isl --with-sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310 --disable-shared --disable-nls --disable-tls --disable-libgcc2 --disable-win32-registry --enable-build-with-cxx --enable-libquadmath-support --enable-libquadmath --enable-languages=c,c++,fortran --disable-checking --enable-libgomp --enable-threads=win32 --enable-lto --enable-static --enable-shared=lto-plugin --enable-plugins --enable-ld=yes]
  ignore line: [Thread model: win32]
  ignore line: [gcc version 8.3.0 (GCC) ]
  ignore line: [COMPILER_PATH=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/]
  ignore line: [c:/mingw/bin/../libexec/gcc/]
  ignore line: [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/bin/]
  ignore line: [LIBRARY_PATH=c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/]
  ignore line: [c:/mingw/bin/../lib/gcc/]
  ignore line: [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/]
  ignore line: [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_f81e7.exe' '-mtune=generic' '-march=pentiumpro']
  link line: [ c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/collect2.exe -plugin c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/liblto_plugin-0.dll -plugin-opt=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe -plugin-opt=-fresolution=C:\Users\Karol\AppData\Local\Temp\ccyLInfz.res -plugin-opt=-pass-through=-lmingw32 -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lmoldname -plugin-opt=-pass-through=-lmingwex -plugin-opt=-pass-through=-lmsvcrt -plugin-opt=-pass-through=-ladvapi32 -plugin-opt=-pass-through=-lshell32 -plugin-opt=-pass-through=-luser32 -plugin-opt=-pass-through=-lkernel32 -plugin-opt=-pass-through=-lmingw32 -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lmoldname -plugin-opt=-pass-through=-lmingwex -plugin-opt=-pass-through=-lmsvcrt --sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310 -Bdynamic -o cmTC_f81e7.exe c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/crt2.o c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtbegin.o -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0 -Lc:/mingw/bin/../lib/gcc -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../.. --whole-archive CMakeFiles\cmTC_f81e7.dir/objects.a --no-whole-archive --out-implib libcmTC_f81e7.dll.a --major-image-version 0 --minor-image-version 0 -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt -ladvapi32 -lshell32 -luser32 -lkernel32 -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtend.o]
    arg [c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/collect2.exe] ==> ignore
    arg [-plugin] ==> ignore
    arg [c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/liblto_plugin-0.dll] ==> ignore
    arg [-plugin-opt=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe] ==> ignore
    arg [-plugin-opt=-fresolution=C:\Users\Karol\AppData\Local\Temp\ccyLInfz.res] ==> ignore
    arg [-plugin-opt=-pass-through=-lmingw32] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
    arg [-plugin-opt=-pass-through=-lmoldname] ==> ignore
    arg [-plugin-opt=-pass-through=-lmingwex] ==> ignore
    arg [-plugin-opt=-pass-through=-lmsvcrt] ==> ignore
    arg [-plugin-opt=-pass-through=-ladvapi32] ==> ignore
    arg [-plugin-opt=-pass-through=-lshell32] ==> ignore
    arg [-plugin-opt=-pass-through=-luser32] ==> ignore
    arg [-plugin-opt=-pass-through=-lkernel32] ==> ignore
    arg [-plugin-opt=-pass-through=-lmingw32] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
    arg [-plugin-opt=-pass-through=-lmoldname] ==> ignore
    arg [-plugin-opt=-pass-through=-lmingwex] ==> ignore
    arg [-plugin-opt=-pass-through=-lmsvcrt] ==> ignore
    arg [--sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310] ==> ignore
    arg [-Bdynamic] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_f81e7.exe] ==> ignore
    arg [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/crt2.o] ==> ignore
    arg [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtbegin.o] ==> ignore
    arg [-Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0] ==> dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0]
    arg [-Lc:/mingw/bin/../lib/gcc] ==> dir [c:/mingw/bin/../lib/gcc]
    arg [-Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib] ==> dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib]
    arg [-Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../..] ==> dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../..]
    arg [--whole-archive] ==> ignore
    arg [CMakeFiles\cmTC_f81e7.dir/objects.a] ==> ignore
    arg [--no-whole-archive] ==> ignore
    arg [--out-implib] ==> ignore
    arg [libcmTC_f81e7.dll.a] ==> ignore
    arg [--major-image-version] ==> ignore
    arg [0] ==> ignore
    arg [--minor-image-version] ==> ignore
    arg [0] ==> ignore
    arg [-lmingw32] ==> lib [mingw32]
    arg [-lgcc] ==> lib [gcc]
    arg [-lmoldname] ==> lib [moldname]
    arg [-lmingwex] ==> lib [mingwex]
    arg [-lmsvcrt] ==> lib [msvcrt]
    arg [-ladvapi32] ==> lib [advapi32]
    arg [-lshell32] ==> lib [shell32]
    arg [-luser32] ==> lib [user32]
    arg [-lkernel32] ==> lib [kernel32]
    arg [-lmingw32] ==> lib [mingw32]
    arg [-lgcc] ==> lib [gcc]
    arg [-lmoldname] ==> lib [moldname]
    arg [-lmingwex] ==> lib [mingwex]
    arg [-lmsvcrt] ==> lib [msvcrt]
    arg [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtend.o] ==> ignore
  remove lib [msvcrt]
  remove lib [msvcrt]
  collapse library dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0] ==> [C:/MinGW/lib/gcc/i686-pc-mingw32/8.3.0]
  collapse library dir [c:/mingw/bin/../lib/gcc] ==> [C:/MinGW/lib/gcc]
  collapse library dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib] ==> [C:/MinGW/i686-pc-mingw32/lib]
  collapse library dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../..] ==> [C:/MinGW/lib]
  implicit libs: [mingw32;gcc;moldname;mingwex;advapi32;shell32;user32;kernel32;mingw32;gcc;moldname;mingwex]
  implicit dirs: [C:/MinGW/lib/gcc/i686-pc-mingw32/8.3.0;C:/MinGW/lib/gcc;C:/MinGW/i686-pc-mingw32/lib;C:/MinGW/lib]
  implicit fwks: []




Detecting C [-std=c11] compiler features compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_3e5ea/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_3e5ea.dir\build.make CMakeFiles/cmTC_3e5ea.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building C object CMakeFiles/cmTC_3e5ea.dir/feature_tests.c.obj

C:\MinGW\bin\gcc.exe   -std=c11 -o CMakeFiles\cmTC_3e5ea.dir\feature_tests.c.obj   -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\feature_tests.c

Linking C executable cmTC_3e5ea.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_3e5ea.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_3e5ea.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_3e5ea.dir/objects.a @CMakeFiles\cmTC_3e5ea.dir\objects1.rsp
C:\MinGW\bin\gcc.exe      -Wl,--whole-archive CMakeFiles\cmTC_3e5ea.dir/objects.a -Wl,--no-whole-archive  -o cmTC_3e5ea.exe -Wl,--out-implib,libcmTC_3e5ea.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_3e5ea.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



    Feature record: C_FEATURE:1c_function_prototypes
    Feature record: C_FEATURE:1c_restrict
    Feature record: C_FEATURE:1c_static_assert
    Feature record: C_FEATURE:1c_variadic_macros


Detecting C [-std=c99] compiler features compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_23f1a/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_23f1a.dir\build.make CMakeFiles/cmTC_23f1a.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building C object CMakeFiles/cmTC_23f1a.dir/feature_tests.c.obj

C:\MinGW\bin\gcc.exe   -std=c99 -o CMakeFiles\cmTC_23f1a.dir\feature_tests.c.obj   -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\feature_tests.c

Linking C executable cmTC_23f1a.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_23f1a.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_23f1a.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_23f1a.dir/objects.a @CMakeFiles\cmTC_23f1a.dir\objects1.rsp
C:\MinGW\bin\gcc.exe      -Wl,--whole-archive CMakeFiles\cmTC_23f1a.dir/objects.a -Wl,--no-whole-archive  -o cmTC_23f1a.exe -Wl,--out-implib,libcmTC_23f1a.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_23f1a.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



    Feature record: C_FEATURE:1c_function_prototypes
    Feature record: C_FEATURE:1c_restrict
    Feature record: C_FEATURE:0c_static_assert
    Feature record: C_FEATURE:1c_variadic_macros


Detecting C [-std=c90] compiler features compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_fcf39/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_fcf39.dir\build.make CMakeFiles/cmTC_fcf39.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building C object CMakeFiles/cmTC_fcf39.dir/feature_tests.c.obj

C:\MinGW\bin\gcc.exe   -std=c90 -o CMakeFiles\cmTC_fcf39.dir\feature_tests.c.obj   -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\feature_tests.c

Linking C executable cmTC_fcf39.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_fcf39.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_fcf39.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_fcf39.dir/objects.a @CMakeFiles\cmTC_fcf39.dir\objects1.rsp
C:\MinGW\bin\gcc.exe      -Wl,--whole-archive CMakeFiles\cmTC_fcf39.dir/objects.a -Wl,--no-whole-archive  -o cmTC_fcf39.exe -Wl,--out-implib,libcmTC_fcf39.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_fcf39.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



    Feature record: C_FEATURE:1c_function_prototypes
    Feature record: C_FEATURE:0c_restrict
    Feature record: C_FEATURE:0c_static_assert
    Feature record: C_FEATURE:0c_variadic_macros
Determining if the CXX compiler works passed with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_e4324/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_e4324.dir\build.make CMakeFiles/cmTC_e4324.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building CXX object CMakeFiles/cmTC_e4324.dir/testCXXCompiler.cxx.obj

C:\MinGW\bin\g++.exe     -o CMakeFiles\cmTC_e4324.dir\testCXXCompiler.cxx.obj -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\CMakeTmp\testCXXCompiler.cxx

Linking CXX executable cmTC_e4324.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_e4324.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_e4324.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_e4324.dir/objects.a @CMakeFiles\cmTC_e4324.dir\objects1.rsp
C:\MinGW\bin\g++.exe      -Wl,--whole-archive CMakeFiles\cmTC_e4324.dir/objects.a -Wl,--no-whole-archive  -o cmTC_e4324.exe -Wl,--out-implib,libcmTC_e4324.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_e4324.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



Detecting CXX compiler ABI info compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_62e1c/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_62e1c.dir\build.make CMakeFiles/cmTC_62e1c.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building CXX object CMakeFiles/cmTC_62e1c.dir/CMakeCXXCompilerABI.cpp.obj

C:\MinGW\bin\g++.exe     -o CMakeFiles\cmTC_62e1c.dir\CMakeCXXCompilerABI.cpp.obj -c "C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\share\cmake-3.13\Modules\CMakeCXXCompilerABI.cpp"

Linking CXX executable cmTC_62e1c.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_62e1c.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_62e1c.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_62e1c.dir/objects.a @CMakeFiles\cmTC_62e1c.dir\objects1.rsp
C:\MinGW\bin\g++.exe     -v -Wl,--whole-archive CMakeFiles\cmTC_62e1c.dir/objects.a -Wl,--no-whole-archive  -o cmTC_62e1c.exe -Wl,--out-implib,libcmTC_62e1c.dll.a -Wl,--major-image-version,0,--minor-image-version,0 
Built by Equation Solution <http://www.Equation.com>.

Using built-in specs.

COLLECT_GCC=C:\MinGW\bin\g++.exe

COLLECT_LTO_WRAPPER=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe

Target: i686-pc-mingw32

Configured with: ../gcc-8.3.0-mingw/configure --host=i686-pc-mingw32 --build=x86_64-unknown-linux-gnu --target=i686-pc-mingw32 --prefix=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/gcc/8.3.0 --with-gcc --with-gnu-as --with-gnu-ld --with-cloog=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/cloog --with-gmp=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/gmp --with-mpfr=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/mpfr --with-mpc=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/mpc --with-diagnostics-color=auto --enable-cloog-backend=isl --with-sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310 --disable-shared --disable-nls --disable-tls --disable-libgcc2 --disable-win32-registry --enable-build-with-cxx --enable-libquadmath-support --enable-libquadmath --enable-languages=c,c++,fortran --disable-checking --enable-libgomp --enable-threads=win32 --enable-lto --enable-static --enable-shared=lto-plugin --enable-plugins --enable-ld=yes

Thread model: win32

gcc version 8.3.0 (GCC) 

COMPILER_PATH=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/;c:/mingw/bin/../libexec/gcc/;c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/bin/

LIBRARY_PATH=c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/;c:/mingw/bin/../lib/gcc/;c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/;c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../

COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_62e1c.exe' '-mtune=generic' '-march=pentiumpro'

 c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/collect2.exe -plugin c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/liblto_plugin-0.dll -plugin-opt=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe -plugin-opt=-fresolution=C:\Users\Karol\AppData\Local\Temp\ccgKOdLA.res -plugin-opt=-pass-through=-lmingw32 -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lmoldname -plugin-opt=-pass-through=-lmingwex -plugin-opt=-pass-through=-lmsvcrt -plugin-opt=-pass-through=-ladvapi32 -plugin-opt=-pass-through=-lshell32 -plugin-opt=-pass-through=-luser32 -plugin-opt=-pass-through=-lkernel32 -plugin-opt=-pass-through=-lmingw32 -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lmoldname -plugin-opt=-pass-through=-lmingwex -plugin-opt=-pass-through=-lmsvcrt --sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310 -Bdynamic -o cmTC_62e1c.exe c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/crt2.o c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtbegin.o -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0 -Lc:/mingw/bin/../lib/gcc -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../.. --whole-archive CMakeFiles\cmTC_62e1c.dir/objects.a --no-whole-archive --out-implib libcmTC_62e1c.dll.a --major-image-version 0 --minor-image-version 0 -lstdc++ -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt -ladvapi32 -lshell32 -luser32 -lkernel32 -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtend.o

COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_62e1c.exe' '-mtune=generic' '-march=pentiumpro'

mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



Parsed CXX implicit link information from above output:
  link line regex: [^( *|.*[/\])(ld\.exe|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_62e1c/fast"]
  ignore line: [C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_62e1c.dir\build.make CMakeFiles/cmTC_62e1c.dir/build]
  ignore line: [mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp']
  ignore line: [Building CXX object CMakeFiles/cmTC_62e1c.dir/CMakeCXXCompilerABI.cpp.obj]
  ignore line: [C:\MinGW\bin\g++.exe     -o CMakeFiles\cmTC_62e1c.dir\CMakeCXXCompilerABI.cpp.obj -c "C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\share\cmake-3.13\Modules\CMakeCXXCompilerABI.cpp"]
  ignore line: [Linking CXX executable cmTC_62e1c.exe]
  ignore line: ["C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_62e1c.dir\link.txt --verbose=1]
  ignore line: ["C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_62e1c.dir/objects.a]
  ignore line: [C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_62e1c.dir/objects.a @CMakeFiles\cmTC_62e1c.dir\objects1.rsp]
  ignore line: [C:\MinGW\bin\g++.exe     -v -Wl,--whole-archive CMakeFiles\cmTC_62e1c.dir/objects.a -Wl,--no-whole-archive  -o cmTC_62e1c.exe -Wl,--out-implib,libcmTC_62e1c.dll.a -Wl,--major-image-version,0,--minor-image-version,0 ]
  ignore line: [Built by Equation Solution <http://www.Equation.com>.]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=C:\MinGW\bin\g++.exe]
  ignore line: [COLLECT_LTO_WRAPPER=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe]
  ignore line: [Target: i686-pc-mingw32]
  ignore line: [Configured with: ../gcc-8.3.0-mingw/configure --host=i686-pc-mingw32 --build=x86_64-unknown-linux-gnu --target=i686-pc-mingw32 --prefix=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/gcc/8.3.0 --with-gcc --with-gnu-as --with-gnu-ld --with-cloog=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/cloog --with-gmp=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/gmp --with-mpfr=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/mpfr --with-mpc=/home/gfortran/gcc-home/binary/mingw32/native/x86_32/mpc --with-diagnostics-color=auto --enable-cloog-backend=isl --with-sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310 --disable-shared --disable-nls --disable-tls --disable-libgcc2 --disable-win32-registry --enable-build-with-cxx --enable-libquadmath-support --enable-libquadmath --enable-languages=c,c++,fortran --disable-checking --enable-libgomp --enable-threads=win32 --enable-lto --enable-static --enable-shared=lto-plugin --enable-plugins --enable-ld=yes]
  ignore line: [Thread model: win32]
  ignore line: [gcc version 8.3.0 (GCC) ]
  ignore line: [COMPILER_PATH=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/]
  ignore line: [c:/mingw/bin/../libexec/gcc/]
  ignore line: [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/bin/]
  ignore line: [LIBRARY_PATH=c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/]
  ignore line: [c:/mingw/bin/../lib/gcc/]
  ignore line: [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/]
  ignore line: [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_62e1c.exe' '-mtune=generic' '-march=pentiumpro']
  link line: [ c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/collect2.exe -plugin c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/liblto_plugin-0.dll -plugin-opt=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe -plugin-opt=-fresolution=C:\Users\Karol\AppData\Local\Temp\ccgKOdLA.res -plugin-opt=-pass-through=-lmingw32 -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lmoldname -plugin-opt=-pass-through=-lmingwex -plugin-opt=-pass-through=-lmsvcrt -plugin-opt=-pass-through=-ladvapi32 -plugin-opt=-pass-through=-lshell32 -plugin-opt=-pass-through=-luser32 -plugin-opt=-pass-through=-lkernel32 -plugin-opt=-pass-through=-lmingw32 -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lmoldname -plugin-opt=-pass-through=-lmingwex -plugin-opt=-pass-through=-lmsvcrt --sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310 -Bdynamic -o cmTC_62e1c.exe c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/crt2.o c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtbegin.o -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0 -Lc:/mingw/bin/../lib/gcc -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib -Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../.. --whole-archive CMakeFiles\cmTC_62e1c.dir/objects.a --no-whole-archive --out-implib libcmTC_62e1c.dll.a --major-image-version 0 --minor-image-version 0 -lstdc++ -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt -ladvapi32 -lshell32 -luser32 -lkernel32 -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtend.o]
    arg [c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/collect2.exe] ==> ignore
    arg [-plugin] ==> ignore
    arg [c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/liblto_plugin-0.dll] ==> ignore
    arg [-plugin-opt=c:/mingw/bin/../libexec/gcc/i686-pc-mingw32/8.3.0/lto-wrapper.exe] ==> ignore
    arg [-plugin-opt=-fresolution=C:\Users\Karol\AppData\Local\Temp\ccgKOdLA.res] ==> ignore
    arg [-plugin-opt=-pass-through=-lmingw32] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
    arg [-plugin-opt=-pass-through=-lmoldname] ==> ignore
    arg [-plugin-opt=-pass-through=-lmingwex] ==> ignore
    arg [-plugin-opt=-pass-through=-lmsvcrt] ==> ignore
    arg [-plugin-opt=-pass-through=-ladvapi32] ==> ignore
    arg [-plugin-opt=-pass-through=-lshell32] ==> ignore
    arg [-plugin-opt=-pass-through=-luser32] ==> ignore
    arg [-plugin-opt=-pass-through=-lkernel32] ==> ignore
    arg [-plugin-opt=-pass-through=-lmingw32] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
    arg [-plugin-opt=-pass-through=-lmoldname] ==> ignore
    arg [-plugin-opt=-pass-through=-lmingwex] ==> ignore
    arg [-plugin-opt=-pass-through=-lmsvcrt] ==> ignore
    arg [--sysroot=/home/gfortran/gcc-home/binary/mingw32/cross/x86_32/gcc/9-20190310] ==> ignore
    arg [-Bdynamic] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_62e1c.exe] ==> ignore
    arg [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib/crt2.o] ==> ignore
    arg [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtbegin.o] ==> ignore
    arg [-Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0] ==> dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0]
    arg [-Lc:/mingw/bin/../lib/gcc] ==> dir [c:/mingw/bin/../lib/gcc]
    arg [-Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib] ==> dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib]
    arg [-Lc:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../..] ==> dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../..]
    arg [--whole-archive] ==> ignore
    arg [CMakeFiles\cmTC_62e1c.dir/objects.a] ==> ignore
    arg [--no-whole-archive] ==> ignore
    arg [--out-implib] ==> ignore
    arg [libcmTC_62e1c.dll.a] ==> ignore
    arg [--major-image-version] ==> ignore
    arg [0] ==> ignore
    arg [--minor-image-version] ==> ignore
    arg [0] ==> ignore
    arg [-lstdc++] ==> lib [stdc++]
    arg [-lmingw32] ==> lib [mingw32]
    arg [-lgcc] ==> lib [gcc]
    arg [-lmoldname] ==> lib [moldname]
    arg [-lmingwex] ==> lib [mingwex]
    arg [-lmsvcrt] ==> lib [msvcrt]
    arg [-ladvapi32] ==> lib [advapi32]
    arg [-lshell32] ==> lib [shell32]
    arg [-luser32] ==> lib [user32]
    arg [-lkernel32] ==> lib [kernel32]
    arg [-lmingw32] ==> lib [mingw32]
    arg [-lgcc] ==> lib [gcc]
    arg [-lmoldname] ==> lib [moldname]
    arg [-lmingwex] ==> lib [mingwex]
    arg [-lmsvcrt] ==> lib [msvcrt]
    arg [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/crtend.o] ==> ignore
  remove lib [msvcrt]
  remove lib [msvcrt]
  collapse library dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0] ==> [C:/MinGW/lib/gcc/i686-pc-mingw32/8.3.0]
  collapse library dir [c:/mingw/bin/../lib/gcc] ==> [C:/MinGW/lib/gcc]
  collapse library dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../../../i686-pc-mingw32/lib] ==> [C:/MinGW/i686-pc-mingw32/lib]
  collapse library dir [c:/mingw/bin/../lib/gcc/i686-pc-mingw32/8.3.0/../../..] ==> [C:/MinGW/lib]
  implicit libs: [stdc++;mingw32;gcc;moldname;mingwex;advapi32;shell32;user32;kernel32;mingw32;gcc;moldname;mingwex]
  implicit dirs: [C:/MinGW/lib/gcc/i686-pc-mingw32/8.3.0;C:/MinGW/lib/gcc;C:/MinGW/i686-pc-mingw32/lib;C:/MinGW/lib]
  implicit fwks: []




Detecting CXX [-std=c++2a] compiler features compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_76c34/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_76c34.dir\build.make CMakeFiles/cmTC_76c34.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building CXX object CMakeFiles/cmTC_76c34.dir/feature_tests.cxx.obj

C:\MinGW\bin\g++.exe    -std=c++2a -o CMakeFiles\cmTC_76c34.dir\feature_tests.cxx.obj -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\feature_tests.cxx

Linking CXX executable cmTC_76c34.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_76c34.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_76c34.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_76c34.dir/objects.a @CMakeFiles\cmTC_76c34.dir\objects1.rsp
C:\MinGW\bin\g++.exe      -Wl,--whole-archive CMakeFiles\cmTC_76c34.dir/objects.a -Wl,--no-whole-archive  -o cmTC_76c34.exe -Wl,--out-implib,libcmTC_76c34.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_76c34.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



    Feature record: CXX_FEATURE:1cxx_aggregate_default_initializers
    Feature record: CXX_FEATURE:1cxx_alias_templates
    Feature record: CXX_FEATURE:1cxx_alignas
    Feature record: CXX_FEATURE:1cxx_alignof
    Feature record: CXX_FEATURE:1cxx_attributes
    Feature record: CXX_FEATURE:1cxx_attribute_deprecated
    Feature record: CXX_FEATURE:1cxx_auto_type
    Feature record: CXX_FEATURE:1cxx_binary_literals
    Feature record: CXX_FEATURE:1cxx_constexpr
    Feature record: CXX_FEATURE:1cxx_contextual_conversions
    Feature record: CXX_FEATURE:1cxx_decltype
    Feature record: CXX_FEATURE:1cxx_decltype_auto
    Feature record: CXX_FEATURE:1cxx_decltype_incomplete_return_types
    Feature record: CXX_FEATURE:1cxx_default_function_template_args
    Feature record: CXX_FEATURE:1cxx_defaulted_functions
    Feature record: CXX_FEATURE:1cxx_defaulted_move_initializers
    Feature record: CXX_FEATURE:1cxx_delegating_constructors
    Feature record: CXX_FEATURE:1cxx_deleted_functions
    Feature record: CXX_FEATURE:1cxx_digit_separators
    Feature record: CXX_FEATURE:1cxx_enum_forward_declarations
    Feature record: CXX_FEATURE:1cxx_explicit_conversions
    Feature record: CXX_FEATURE:1cxx_extended_friend_declarations
    Feature record: CXX_FEATURE:1cxx_extern_templates
    Feature record: CXX_FEATURE:1cxx_final
    Feature record: CXX_FEATURE:1cxx_func_identifier
    Feature record: CXX_FEATURE:1cxx_generalized_initializers
    Feature record: CXX_FEATURE:1cxx_generic_lambdas
    Feature record: CXX_FEATURE:1cxx_inheriting_constructors
    Feature record: CXX_FEATURE:1cxx_inline_namespaces
    Feature record: CXX_FEATURE:1cxx_lambdas
    Feature record: CXX_FEATURE:1cxx_lambda_init_captures
    Feature record: CXX_FEATURE:1cxx_local_type_template_args
    Feature record: CXX_FEATURE:1cxx_long_long_type
    Feature record: CXX_FEATURE:1cxx_noexcept
    Feature record: CXX_FEATURE:1cxx_nonstatic_member_init
    Feature record: CXX_FEATURE:1cxx_nullptr
    Feature record: CXX_FEATURE:1cxx_override
    Feature record: CXX_FEATURE:1cxx_range_for
    Feature record: CXX_FEATURE:1cxx_raw_string_literals
    Feature record: CXX_FEATURE:1cxx_reference_qualified_functions
    Feature record: CXX_FEATURE:1cxx_relaxed_constexpr
    Feature record: CXX_FEATURE:1cxx_return_type_deduction
    Feature record: CXX_FEATURE:1cxx_right_angle_brackets
    Feature record: CXX_FEATURE:1cxx_rvalue_references
    Feature record: CXX_FEATURE:1cxx_sizeof_member
    Feature record: CXX_FEATURE:1cxx_static_assert
    Feature record: CXX_FEATURE:1cxx_strong_enums
    Feature record: CXX_FEATURE:1cxx_template_template_parameters
    Feature record: CXX_FEATURE:1cxx_thread_local
    Feature record: CXX_FEATURE:1cxx_trailing_return_types
    Feature record: CXX_FEATURE:1cxx_unicode_literals
    Feature record: CXX_FEATURE:1cxx_uniform_initialization
    Feature record: CXX_FEATURE:1cxx_unrestricted_unions
    Feature record: CXX_FEATURE:1cxx_user_literals
    Feature record: CXX_FEATURE:1cxx_variable_templates
    Feature record: CXX_FEATURE:1cxx_variadic_macros
    Feature record: CXX_FEATURE:1cxx_variadic_templates


Detecting CXX [-std=c++17] compiler features compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_96295/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_96295.dir\build.make CMakeFiles/cmTC_96295.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building CXX object CMakeFiles/cmTC_96295.dir/feature_tests.cxx.obj

C:\MinGW\bin\g++.exe    -std=c++17 -o CMakeFiles\cmTC_96295.dir\feature_tests.cxx.obj -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\feature_tests.cxx

Linking CXX executable cmTC_96295.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_96295.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_96295.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_96295.dir/objects.a @CMakeFiles\cmTC_96295.dir\objects1.rsp
C:\MinGW\bin\g++.exe      -Wl,--whole-archive CMakeFiles\cmTC_96295.dir/objects.a -Wl,--no-whole-archive  -o cmTC_96295.exe -Wl,--out-implib,libcmTC_96295.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_96295.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



    Feature record: CXX_FEATURE:1cxx_aggregate_default_initializers
    Feature record: CXX_FEATURE:1cxx_alias_templates
    Feature record: CXX_FEATURE:1cxx_alignas
    Feature record: CXX_FEATURE:1cxx_alignof
    Feature record: CXX_FEATURE:1cxx_attributes
    Feature record: CXX_FEATURE:1cxx_attribute_deprecated
    Feature record: CXX_FEATURE:1cxx_auto_type
    Feature record: CXX_FEATURE:1cxx_binary_literals
    Feature record: CXX_FEATURE:1cxx_constexpr
    Feature record: CXX_FEATURE:1cxx_contextual_conversions
    Feature record: CXX_FEATURE:1cxx_decltype
    Feature record: CXX_FEATURE:1cxx_decltype_auto
    Feature record: CXX_FEATURE:1cxx_decltype_incomplete_return_types
    Feature record: CXX_FEATURE:1cxx_default_function_template_args
    Feature record: CXX_FEATURE:1cxx_defaulted_functions
    Feature record: CXX_FEATURE:1cxx_defaulted_move_initializers
    Feature record: CXX_FEATURE:1cxx_delegating_constructors
    Feature record: CXX_FEATURE:1cxx_deleted_functions
    Feature record: CXX_FEATURE:1cxx_digit_separators
    Feature record: CXX_FEATURE:1cxx_enum_forward_declarations
    Feature record: CXX_FEATURE:1cxx_explicit_conversions
    Feature record: CXX_FEATURE:1cxx_extended_friend_declarations
    Feature record: CXX_FEATURE:1cxx_extern_templates
    Feature record: CXX_FEATURE:1cxx_final
    Feature record: CXX_FEATURE:1cxx_func_identifier
    Feature record: CXX_FEATURE:1cxx_generalized_initializers
    Feature record: CXX_FEATURE:1cxx_generic_lambdas
    Feature record: CXX_FEATURE:1cxx_inheriting_constructors
    Feature record: CXX_FEATURE:1cxx_inline_namespaces
    Feature record: CXX_FEATURE:1cxx_lambdas
    Feature record: CXX_FEATURE:1cxx_lambda_init_captures
    Feature record: CXX_FEATURE:1cxx_local_type_template_args
    Feature record: CXX_FEATURE:1cxx_long_long_type
    Feature record: CXX_FEATURE:1cxx_noexcept
    Feature record: CXX_FEATURE:1cxx_nonstatic_member_init
    Feature record: CXX_FEATURE:1cxx_nullptr
    Feature record: CXX_FEATURE:1cxx_override
    Feature record: CXX_FEATURE:1cxx_range_for
    Feature record: CXX_FEATURE:1cxx_raw_string_literals
    Feature record: CXX_FEATURE:1cxx_reference_qualified_functions
    Feature record: CXX_FEATURE:1cxx_relaxed_constexpr
    Feature record: CXX_FEATURE:1cxx_return_type_deduction
    Feature record: CXX_FEATURE:1cxx_right_angle_brackets
    Feature record: CXX_FEATURE:1cxx_rvalue_references
    Feature record: CXX_FEATURE:1cxx_sizeof_member
    Feature record: CXX_FEATURE:1cxx_static_assert
    Feature record: CXX_FEATURE:1cxx_strong_enums
    Feature record: CXX_FEATURE:1cxx_template_template_parameters
    Feature record: CXX_FEATURE:1cxx_thread_local
    Feature record: CXX_FEATURE:1cxx_trailing_return_types
    Feature record: CXX_FEATURE:1cxx_unicode_literals
    Feature record: CXX_FEATURE:1cxx_uniform_initialization
    Feature record: CXX_FEATURE:1cxx_unrestricted_unions
    Feature record: CXX_FEATURE:1cxx_user_literals
    Feature record: CXX_FEATURE:1cxx_variable_templates
    Feature record: CXX_FEATURE:1cxx_variadic_macros
    Feature record: CXX_FEATURE:1cxx_variadic_templates


Detecting CXX [-std=c++14] compiler features compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_6d23d/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_6d23d.dir\build.make CMakeFiles/cmTC_6d23d.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building CXX object CMakeFiles/cmTC_6d23d.dir/feature_tests.cxx.obj

C:\MinGW\bin\g++.exe    -std=c++14 -o CMakeFiles\cmTC_6d23d.dir\feature_tests.cxx.obj -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\feature_tests.cxx

Linking CXX executable cmTC_6d23d.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_6d23d.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_6d23d.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_6d23d.dir/objects.a @CMakeFiles\cmTC_6d23d.dir\objects1.rsp
C:\MinGW\bin\g++.exe      -Wl,--whole-archive CMakeFiles\cmTC_6d23d.dir/objects.a -Wl,--no-whole-archive  -o cmTC_6d23d.exe -Wl,--out-implib,libcmTC_6d23d.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_6d23d.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



    Feature record: CXX_FEATURE:1cxx_aggregate_default_initializers
    Feature record: CXX_FEATURE:1cxx_alias_templates
    Feature record: CXX_FEATURE:1cxx_alignas
    Feature record: CXX_FEATURE:1cxx_alignof
    Feature record: CXX_FEATURE:1cxx_attributes
    Feature record: CXX_FEATURE:1cxx_attribute_deprecated
    Feature record: CXX_FEATURE:1cxx_auto_type
    Feature record: CXX_FEATURE:1cxx_binary_literals
    Feature record: CXX_FEATURE:1cxx_constexpr
    Feature record: CXX_FEATURE:1cxx_contextual_conversions
    Feature record: CXX_FEATURE:1cxx_decltype
    Feature record: CXX_FEATURE:1cxx_decltype_auto
    Feature record: CXX_FEATURE:1cxx_decltype_incomplete_return_types
    Feature record: CXX_FEATURE:1cxx_default_function_template_args
    Feature record: CXX_FEATURE:1cxx_defaulted_functions
    Feature record: CXX_FEATURE:1cxx_defaulted_move_initializers
    Feature record: CXX_FEATURE:1cxx_delegating_constructors
    Feature record: CXX_FEATURE:1cxx_deleted_functions
    Feature record: CXX_FEATURE:1cxx_digit_separators
    Feature record: CXX_FEATURE:1cxx_enum_forward_declarations
    Feature record: CXX_FEATURE:1cxx_explicit_conversions
    Feature record: CXX_FEATURE:1cxx_extended_friend_declarations
    Feature record: CXX_FEATURE:1cxx_extern_templates
    Feature record: CXX_FEATURE:1cxx_final
    Feature record: CXX_FEATURE:1cxx_func_identifier
    Feature record: CXX_FEATURE:1cxx_generalized_initializers
    Feature record: CXX_FEATURE:1cxx_generic_lambdas
    Feature record: CXX_FEATURE:1cxx_inheriting_constructors
    Feature record: CXX_FEATURE:1cxx_inline_namespaces
    Feature record: CXX_FEATURE:1cxx_lambdas
    Feature record: CXX_FEATURE:1cxx_lambda_init_captures
    Feature record: CXX_FEATURE:1cxx_local_type_template_args
    Feature record: CXX_FEATURE:1cxx_long_long_type
    Feature record: CXX_FEATURE:1cxx_noexcept
    Feature record: CXX_FEATURE:1cxx_nonstatic_member_init
    Feature record: CXX_FEATURE:1cxx_nullptr
    Feature record: CXX_FEATURE:1cxx_override
    Feature record: CXX_FEATURE:1cxx_range_for
    Feature record: CXX_FEATURE:1cxx_raw_string_literals
    Feature record: CXX_FEATURE:1cxx_reference_qualified_functions
    Feature record: CXX_FEATURE:1cxx_relaxed_constexpr
    Feature record: CXX_FEATURE:1cxx_return_type_deduction
    Feature record: CXX_FEATURE:1cxx_right_angle_brackets
    Feature record: CXX_FEATURE:1cxx_rvalue_references
    Feature record: CXX_FEATURE:1cxx_sizeof_member
    Feature record: CXX_FEATURE:1cxx_static_assert
    Feature record: CXX_FEATURE:1cxx_strong_enums
    Feature record: CXX_FEATURE:1cxx_template_template_parameters
    Feature record: CXX_FEATURE:1cxx_thread_local
    Feature record: CXX_FEATURE:1cxx_trailing_return_types
    Feature record: CXX_FEATURE:1cxx_unicode_literals
    Feature record: CXX_FEATURE:1cxx_uniform_initialization
    Feature record: CXX_FEATURE:1cxx_unrestricted_unions
    Feature record: CXX_FEATURE:1cxx_user_literals
    Feature record: CXX_FEATURE:1cxx_variable_templates
    Feature record: CXX_FEATURE:1cxx_variadic_macros
    Feature record: CXX_FEATURE:1cxx_variadic_templates


Detecting CXX [-std=c++11] compiler features compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_64553/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_64553.dir\build.make CMakeFiles/cmTC_64553.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building CXX object CMakeFiles/cmTC_64553.dir/feature_tests.cxx.obj

C:\MinGW\bin\g++.exe    -std=c++11 -o CMakeFiles\cmTC_64553.dir\feature_tests.cxx.obj -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\feature_tests.cxx

Linking CXX executable cmTC_64553.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_64553.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_64553.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_64553.dir/objects.a @CMakeFiles\cmTC_64553.dir\objects1.rsp
C:\MinGW\bin\g++.exe      -Wl,--whole-archive CMakeFiles\cmTC_64553.dir/objects.a -Wl,--no-whole-archive  -o cmTC_64553.exe -Wl,--out-implib,libcmTC_64553.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_64553.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



    Feature record: CXX_FEATURE:0cxx_aggregate_default_initializers
    Feature record: CXX_FEATURE:1cxx_alias_templates
    Feature record: CXX_FEATURE:1cxx_alignas
    Feature record: CXX_FEATURE:1cxx_alignof
    Feature record: CXX_FEATURE:1cxx_attributes
    Feature record: CXX_FEATURE:0cxx_attribute_deprecated
    Feature record: CXX_FEATURE:1cxx_auto_type
    Feature record: CXX_FEATURE:0cxx_binary_literals
    Feature record: CXX_FEATURE:1cxx_constexpr
    Feature record: CXX_FEATURE:0cxx_contextual_conversions
    Feature record: CXX_FEATURE:1cxx_decltype
    Feature record: CXX_FEATURE:0cxx_decltype_auto
    Feature record: CXX_FEATURE:1cxx_decltype_incomplete_return_types
    Feature record: CXX_FEATURE:1cxx_default_function_template_args
    Feature record: CXX_FEATURE:1cxx_defaulted_functions
    Feature record: CXX_FEATURE:1cxx_defaulted_move_initializers
    Feature record: CXX_FEATURE:1cxx_delegating_constructors
    Feature record: CXX_FEATURE:1cxx_deleted_functions
    Feature record: CXX_FEATURE:0cxx_digit_separators
    Feature record: CXX_FEATURE:1cxx_enum_forward_declarations
    Feature record: CXX_FEATURE:1cxx_explicit_conversions
    Feature record: CXX_FEATURE:1cxx_extended_friend_declarations
    Feature record: CXX_FEATURE:1cxx_extern_templates
    Feature record: CXX_FEATURE:1cxx_final
    Feature record: CXX_FEATURE:1cxx_func_identifier
    Feature record: CXX_FEATURE:1cxx_generalized_initializers
    Feature record: CXX_FEATURE:0cxx_generic_lambdas
    Feature record: CXX_FEATURE:1cxx_inheriting_constructors
    Feature record: CXX_FEATURE:1cxx_inline_namespaces
    Feature record: CXX_FEATURE:1cxx_lambdas
    Feature record: CXX_FEATURE:0cxx_lambda_init_captures
    Feature record: CXX_FEATURE:1cxx_local_type_template_args
    Feature record: CXX_FEATURE:1cxx_long_long_type
    Feature record: CXX_FEATURE:1cxx_noexcept
    Feature record: CXX_FEATURE:1cxx_nonstatic_member_init
    Feature record: CXX_FEATURE:1cxx_nullptr
    Feature record: CXX_FEATURE:1cxx_override
    Feature record: CXX_FEATURE:1cxx_range_for
    Feature record: CXX_FEATURE:1cxx_raw_string_literals
    Feature record: CXX_FEATURE:1cxx_reference_qualified_functions
    Feature record: CXX_FEATURE:0cxx_relaxed_constexpr
    Feature record: CXX_FEATURE:0cxx_return_type_deduction
    Feature record: CXX_FEATURE:1cxx_right_angle_brackets
    Feature record: CXX_FEATURE:1cxx_rvalue_references
    Feature record: CXX_FEATURE:1cxx_sizeof_member
    Feature record: CXX_FEATURE:1cxx_static_assert
    Feature record: CXX_FEATURE:1cxx_strong_enums
    Feature record: CXX_FEATURE:1cxx_template_template_parameters
    Feature record: CXX_FEATURE:1cxx_thread_local
    Feature record: CXX_FEATURE:1cxx_trailing_return_types
    Feature record: CXX_FEATURE:1cxx_unicode_literals
    Feature record: CXX_FEATURE:1cxx_uniform_initialization
    Feature record: CXX_FEATURE:1cxx_unrestricted_unions
    Feature record: CXX_FEATURE:1cxx_user_literals
    Feature record: CXX_FEATURE:0cxx_variable_templates
    Feature record: CXX_FEATURE:1cxx_variadic_macros
    Feature record: CXX_FEATURE:1cxx_variadic_templates


Detecting CXX [-std=c++98] compiler features compiled with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_014db/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_014db.dir\build.make CMakeFiles/cmTC_014db.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building CXX object CMakeFiles/cmTC_014db.dir/feature_tests.cxx.obj

C:\MinGW\bin\g++.exe    -std=c++98 -o CMakeFiles\cmTC_014db.dir\feature_tests.cxx.obj -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\feature_tests.cxx

Linking CXX executable cmTC_014db.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_014db.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_014db.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_014db.dir/objects.a @CMakeFiles\cmTC_014db.dir\objects1.rsp
C:\MinGW\bin\g++.exe      -Wl,--whole-archive CMakeFiles\cmTC_014db.dir/objects.a -Wl,--no-whole-archive  -o cmTC_014db.exe -Wl,--out-implib,libcmTC_014db.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_014db.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'



    Feature record: CXX_FEATURE:0cxx_aggregate_default_initializers
    Feature record: CXX_FEATURE:0cxx_alias_templates
    Feature record: CXX_FEATURE:0cxx_alignas
    Feature record: CXX_FEATURE:0cxx_alignof
    Feature record: CXX_FEATURE:0cxx_attributes
    Feature record: CXX_FEATURE:0cxx_attribute_deprecated
    Feature record: CXX_FEATURE:0cxx_auto_type
    Feature record: CXX_FEATURE:0cxx_binary_literals
    Feature record: CXX_FEATURE:0cxx_constexpr
    Feature record: CXX_FEATURE:0cxx_contextual_conversions
    Feature record: CXX_FEATURE:0cxx_decltype
    Feature record: CXX_FEATURE:0cxx_decltype_auto
    Feature record: CXX_FEATURE:0cxx_decltype_incomplete_return_types
    Feature record: CXX_FEATURE:0cxx_default_function_template_args
    Feature record: CXX_FEATURE:0cxx_defaulted_functions
    Feature record: CXX_FEATURE:0cxx_defaulted_move_initializers
    Feature record: CXX_FEATURE:0cxx_delegating_constructors
    Feature record: CXX_FEATURE:0cxx_deleted_functions
    Feature record: CXX_FEATURE:0cxx_digit_separators
    Feature record: CXX_FEATURE:0cxx_enum_forward_declarations
    Feature record: CXX_FEATURE:0cxx_explicit_conversions
    Feature record: CXX_FEATURE:0cxx_extended_friend_declarations
    Feature record: CXX_FEATURE:0cxx_extern_templates
    Feature record: CXX_FEATURE:0cxx_final
    Feature record: CXX_FEATURE:0cxx_func_identifier
    Feature record: CXX_FEATURE:0cxx_generalized_initializers
    Feature record: CXX_FEATURE:0cxx_generic_lambdas
    Feature record: CXX_FEATURE:0cxx_inheriting_constructors
    Feature record: CXX_FEATURE:0cxx_inline_namespaces
    Feature record: CXX_FEATURE:0cxx_lambdas
    Feature record: CXX_FEATURE:0cxx_lambda_init_captures
    Feature record: CXX_FEATURE:0cxx_local_type_template_args
    Feature record: CXX_FEATURE:0cxx_long_long_type
    Feature record: CXX_FEATURE:0cxx_noexcept
    Feature record: CXX_FEATURE:0cxx_nonstatic_member_init
    Feature record: CXX_FEATURE:0cxx_nullptr
    Feature record: CXX_FEATURE:0cxx_override
    Feature record: CXX_FEATURE:0cxx_range_for
    Feature record: CXX_FEATURE:0cxx_raw_string_literals
    Feature record: CXX_FEATURE:0cxx_reference_qualified_functions
    Feature record: CXX_FEATURE:0cxx_relaxed_constexpr
    Feature record: CXX_FEATURE:0cxx_return_type_deduction
    Feature record: CXX_FEATURE:0cxx_right_angle_brackets
    Feature record: CXX_FEATURE:0cxx_rvalue_references
    Feature record: CXX_FEATURE:0cxx_sizeof_member
    Feature record: CXX_FEATURE:0cxx_static_assert
    Feature record: CXX_FEATURE:0cxx_strong_enums
    Feature record: CXX_FEATURE:1cxx_template_template_parameters
    Feature record: CXX_FEATURE:0cxx_thread_local
    Feature record: CXX_FEATURE:0cxx_trailing_return_types
    Feature record: CXX_FEATURE:0cxx_unicode_literals
    Feature record: CXX_FEATURE:0cxx_uniform_initialization
    Feature record: CXX_FEATURE:0cxx_unrestricted_unions
    Feature record: CXX_FEATURE:0cxx_user_literals
    Feature record: CXX_FEATURE:0cxx_variable_templates
    Feature record: CXX_FEATURE:0cxx_variadic_macros
    Feature record: CXX_FEATURE:0cxx_variadic_templates
Performing C++ SOURCE FILE Test SUPPORT_CONCEPTS succeeded with the following output:
Change Dir: C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"C:/MinGW/bin/mingw32-make.exe" "cmTC_c4a02/fast"
C:/MinGW/bin/mingw32-make.exe -f CMakeFiles\cmTC_c4a02.dir\build.make CMakeFiles/cmTC_c4a02.dir/build

mingw32-make.exe[1]: Entering directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'

Building CXX object CMakeFiles/cmTC_c4a02.dir/src.cxx.obj

C:\MinGW\bin\g++.exe    -DSUPPORT_CONCEPTS   -fconcepts -std=gnu++17 -o CMakeFiles\cmTC_c4a02.dir\src.cxx.obj -c C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\CMakeTmp\src.cxx

Linking CXX executable cmTC_c4a02.exe

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E cmake_link_script CMakeFiles\cmTC_c4a02.dir\link.txt --verbose=1

"C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f CMakeFiles\cmTC_c4a02.dir/objects.a
C:\MinGW\bin\ar.exe cr CMakeFiles\cmTC_c4a02.dir/objects.a @CMakeFiles\cmTC_c4a02.dir\objects1.rsp
C:\MinGW\bin\g++.exe  -DSUPPORT_CONCEPTS    -Wl,--whole-archive CMakeFiles\cmTC_c4a02.dir/objects.a -Wl,--no-whole-archive  -o cmTC_c4a02.exe -Wl,--out-implib,libcmTC_c4a02.dll.a -Wl,--major-image-version,0,--minor-image-version,0 @CMakeFiles\cmTC_c4a02.dir\linklibs.rsp
mingw32-make.exe[1]: Leaving directory 'C:/Users/Karol/ClionProjects/Bachelor/cmake-build-debug/CMakeFiles/CMakeTmp'


Source file was:
int main() { return 0; }
